before running it. Closes: #50985
* I also set -e the script.
+filters (2.8) unstable; urgency=low
+
+ * makesample.sh is now careful to make sure each program is executable
+ before running it. Closes: #50985
+ * I also set -e the script.
+
+ -- Joey Hess <joeyh@master.debian.org> Mon, 22 Nov 1999 14:09:43 -0800
+
filters (2.7) unstable; urgency=low
* A much better synopsis.
Section: games
Priority: optional
Maintainer: Joey Hess <joeyh@master.debian.org>
-Standards-Version: 3.1.0.0
+Standards-Version: 3.1.1.0
Package: filters
Architecture: any
-#!/bin/sh
+#!/bin/sh -e
+chmod +x $1
echo $1 >>SAMPLES
echo "-------------" >>SAMPLES
echo -e "Here's how this filter sounds, in everyday use.\nThis line is another sample of this filter's output." | ./$1 >>SAMPLES
-echo "" >>SAMPLES
\ No newline at end of file
+echo "" >>SAMPLES